@import "../../assets/scss/global";

.side-bar-menu-wrapper {
    display: flex;
    flex-direction: column;
    padding: 20px 10px;
    gap: 6px;
    width: 96%;
    min-height: 100vh;
    background: #FFFFFF;
    backdrop-filter: blur(2px);
    border-radius: 24px;

    .top {
        position: relative;
        width: 100%;
        border-bottom: 1px solid #F4F7FC;
        padding-bottom: 20px;
        text-align: center;
        cursor: pointer;

        .btn-expand {
            position: absolute;
            right: -30px;
            top: 0;
            background: #FFFFFF;
            box-shadow: 8px 8px 20px rgba(248, 76, 38, 0.21);
            border-radius: 16px;
            padding: 10px;
            height: 44px;
            width: 44px;
            box-sizing: border-box;

            svg {
                height: 24px;
                width: 24px;
                transform: rotate(180deg);
                transition: all .5s ease-in-out;

                path {
                    fill: $primary-color;
                }
            }
        }

        &.compact-mode {
            .btn-expand {
                svg {
                    transform: rotate(360deg);
                }
            }
        }
    }

    .center {
        .side-item {
            position: relative;
            display: flex;
            align-items: center;
            min-height: 50px;
            box-sizing: border-box;
            column-gap: 10px;
            cursor: pointer;
            padding: 0 10px;
            font-weight: 500;

            &:after{
                position: absolute;
                content: "";
                right: -40px;
                top: 0;
                background-color: transparent;
                width: 50px;
                height: 50px;
                padding: 12px;
            }

            &.active {
                background-color: #FFF8F4;
                border-radius: 8px;
            }


            .active-name {
                color: $dark-color;
            }

            a {
                color: $grey-color1;
            }

            .left-icon {
                path {
                    fill: $primary-color;
                }
            }

            .chevronIcon {
                margin-left: auto;
                transition: all .2s linear;
                min-width: 16px;

                &.active {
                    transform: rotate(90deg);
                }
            }

            .tooltip-menu{
                position: absolute;
                left: 70px;
                top: 0;
                background-color: $primary-color3;
                width: 210px;
                padding: 12px;
                border-radius: 12px;
                margin-left: 30px;

                .tooltip-menu-list{
                    display: flex;
                    flex-direction: column;
                    background-color: white;
                    align-items: flex-start;
                    padding: 12px;

                    margin-top: 10px;
                }

                span{
                    color: $primary-color;
                }

                div{
                    display: flex;
                    align-items: center;
                    min-height: 40px;
                    box-sizing: border-box;
                    font-weight: 500;
                    font-size: 15px;
                    line-height: 22px;
                    padding: 12px;
                    width: 100%;
                    border-radius: 8px;
                    color: $grey-color;

                    &.active-name-compact{
                        background-color: $primary-color3;
                    }

                    &.active-name-compact2{
                        color: $primary-color;
                    }
                }
            }

            &.compact-mode {
                a {
                    visibility: hidden;
                    height: 0;
                    width: 0;
                }

                justify-content: center;
                column-gap: 0;

                .chevronIcon {
                    width: 0;
                    min-width: initial;
                    margin: initial;
                }
            }
        }

        .side-bar-content {
            margin-left: 20px;
            max-height: 0;
            overflow: hidden;
            transition: max-height .2s ease-in-out;
            border-left: 1px solid $grey-color;

            .item {
                display: flex;
                align-items: center;
                height: 50px;
                box-sizing: border-box;
                cursor: pointer;
                padding: 0 10px;
                margin-left: 5px;

                &.active {
                    background-color: #FFF8F4;
                    border-radius: 8px;
                }
            }

            &.active {
                height: fit-content;
                max-height: 400px;
            }

            &.compact-mode{
                position: absolute;
                background-color: white;
                right: -200px;
                width: fit-content;
                max-height: 200px;
            }
        }
    }

    .bottom {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        padding: 12px;
        background: #F7F8FC;
        border-radius: 14px;
        width: 100%;
        height: 123px;
        box-sizing: border-box;
        margin-top: auto;

        p {
            text-align: center;
            font-size: 16px;

            span {
                font-weight: 900;
                font-size: 24px;
                line-height: 22px;
                color: $primary-color;
            }
        }

        .btn-group {
            display: flex;
            justify-content: space-between;

            button {
                font-size: 12px;
                padding: 12px;
                width: 48%;
            }
        }
    }
}